std::integer_sequence< _Tp, _Idx >(3cxx)

NAME
std::integer_sequence< _Tp, _Idx > - Class template integer_sequence.

SYNOPSIS

#include <utility>

  Public Types

typedef _Tp value_type

  Static Public Member Functions

static constexpr size_t size () noexcept

Detailed Description

  template<typename _Tp, _Tp... _Idx>
struct std::integer_sequence< _Tp, _Idx >"Class template integer_sequence.

Definition at line 320 of file utility.

Member Typedef Documentation

  template<typename _Tp , _Tp... _Idx> typedef _Tp std::integer_sequence< _Tp, _Idx >::value_type

Definition at line 322 of file utility.

Member Function Documentation

  template<typename _Tp , _Tp... _Idx> static constexpr size_t std::integer_sequence< _Tp, _Idx >::size () [inline], [static], [constexpr], [noexcept]

Definition at line 323 of file utility.

Author

Generated automatically by Doxygen for libstdc++ from the source code.